﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1( )
		{
			InitializeComponent( );

			this.dp.DataSource = this.CreateTable( 10 ).Rows;
		}

		private DataTable CreateTable( int cols )
		{
			DataTable dt = new DataTable( );
			dt.Columns.Add( "string", typeof( string ) );
			dt.Columns.Add( "decimal", typeof( decimal ) );
			dt.Columns.Add( "date", typeof( DateTime ) );
			
			dt.Rows.Add( new object[] { "Row 1", 1m, DateTime.Now } );
			dt.Rows.Add( new object[] { "Row 2", 2m, DateTime.Now } );


			return dt;
		}

		public void btn_Click( object sender, RoutedEventArgs e )
		{
			this.dp.FieldLayouts.Clear( );

			this.dp.DataSource = this.CreateTable( 15 ).Rows;
		}

		public void menu_Click( object sender, RoutedEventArgs e )
		{
		}

		public void ContextMenu_Opened( object sender, RoutedEventArgs e )
		{
		}
	}
}
